Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class ItemSaddle

    java.lang.Object
      net.minecraft.src.Item
          net.minecraft.src.ItemSaddle

    public class ItemSaddle

extends Item

Field Summary

Fields inherited from class net.minecraft.src.Item
`appleGold, appleRed, arrow, axeDiamond, axeGold, axeSteel, axeStone, axeWood, bed, beefCooked, beefRaw, blazePowder, blazeRod, boat, bone, book, bootsChain, bootsDiamond, bootsGold, bootsLeather, bootsSteel, bow, bowlEmpty, bowlSoup, bread, brewingStand, brick, bucketEmpty, bucketLava, bucketMilk, bucketWater, cake, cauldron, chickenCooked, chickenRaw, clay, coal, compass, cookie, diamond, doorSteel, doorWood, dyePowder, egg, emerald, enderPearl, expBottle, eyeOfEnder, feather, fermentedSpiderEye, fireballCharge, fishCooked, fishingRod, fishRaw, flint, flintAndSteel, ghastTear, glassBottle, goldNugget, gunpowder, helmetChain, helmetDiamond, helmetGold, helmetLeather, helmetSteel, hoeDiamond, hoeGold, hoeSteel, hoeStone, hoeWood, ingotGold, ingotIron, isDefaultTexture, itemsList, leather, legsChain, legsDiamond, legsGold, legsLeather, legsSteel, lightStoneDust, magmaCream, map, melon, melonSeeds, minecartCrate, minecartEmpty, minecartPowered, monsterPlacer, netherStalkSeeds, painting, paper, pickaxeDiamond, pickaxeGold, pickaxeSteel, pickaxeStone, pickaxeWood, plateChain, plateDiamond, plateGold, plateLeather, plateSteel, pocketSundial, porkCooked, porkRaw, potion, pumpkinSeeds, record11, record13, recordBlocks, recordCat, recordChirp, recordFar, recordMall, recordMellohi, recordStal, recordStrad, recordWard, redstone, redstoneRepeater, reed, rottenFlesh, saddle, seeds, shears, shiftedIndex, shovelDiamond, shovelGold, shovelSteel, shovelStone, shovelWood, sign, silk, slimeBall, snowball, speckledMelon, spiderEye, stick, sugar, swordDiamond, swordGold, swordSteel, swordStone, swordWood, wheat, writableBook, writtenBook`

Constructor Summary
`ItemSaddle(int par1)`

Method Summary
`boolean` | `hitEntity(ItemStack par1ItemStack, EntityLiving par2EntityLiving, EntityLiving par3EntityLiving)` Current implementations of this method in child classes do not use the entry argument beside ev.
`boolean` | `itemInteractionForEntity(ItemStack par1ItemStack, EntityLiving par2EntityLiving)` dye sheep, place saddles, etc ...

Methods inherited from class net.minecraft.src.Item
`addInformation, canHarvestBlock, createEntity, doesContainerItemLeaveCraftingGrid, func_77653_i, getColorFromDamage, getContainerItem, getContainerItemStack, getCreativeTab, getDamageVsEntity, getEntityLifespan, getHasSubtypes, getIconFromDamage, getIconFromDamageForRenderPass, getIconIndex, getIconIndex, getItemDisplayName, getItemEnchantability, getItemName, getItemNameIS, getItemStackLimit, getItemUseAction, getLocalItemName, getMaxDamage, getMaxItemUseDuration, getMetadata, getPotionEffect, getRarity, getRenderPasses, getShareTag, getStatName, getStrVsBlock, getStrVsBlock, getSubItems, getTextureFile, hasContainerItem, hasCustomEntity, hasEffect, isDamageable, isFull3D, isItemTool, isMap, isPotionIngredient, isRepairable, onBlockDestroyed, onBlockStartBreak, onCreated, onDroppedByPlayer, onFoodEaten, onItemRightClick, onItemUse, onItemUseFirst, onItemUseFirst, onLeftClickEntity, onPlayerStoppedUsing, onUpdate, onUsingItemTick, requiresMultipleRenderPasses, setContainerItem, setCreativeTab, setFull3D, setIconCoord, setIconIndex, setItemName, setMaxDamage, setMaxStackSize, setNoRepair, setTextureFile, shouldRotateAroundWhenRendering`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ItemSaddle

    public ItemSaddle(int par1)

Method Detail

### itemInteractionForEntity

    public boolean itemInteractionForEntity(ItemStack par1ItemStack,
                                            EntityLiving par2EntityLiving)

  dye sheep, place saddles, etc ...

  Overrides:
    `itemInteractionForEntity` in class `Item`

### hitEntity

    public boolean hitEntity(ItemStack par1ItemStack,
                             EntityLiving par2EntityLiving,
                             EntityLiving par3EntityLiving)

  Current implementations of this method in child classes do not use the entry argument beside ev. They just raise the damage on the stack.

  Overrides:
    `hitEntity` in class `Item`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD